Package org.eclipse.m2m.atl.engine.emfvm

## Class VMException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.m2m.atl.common.ATLExecutionException
        - - org.eclipse.m2m.atl.engine.emfvm.VMException

All Implemented Interfaces:
  `java.io.Serializable`

    public class VMException
    extends ATLExecutionException

Exceptions thrown by the VM.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`VMException​(AbstractStackFrame frame, java.lang.String message)` Creates a VM exception with the given message.
`VMException​(AbstractStackFrame frame, java.lang.String message, java.lang.Throwable cause)` Creates a VM exception with the given message and cause.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `printStackTrace​(java.io.PrintStream s)`
`void` `printStackTrace​(java.io.PrintWriter s)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VMException

    public VMException​(AbstractStackFrame frame,
                       java.lang.String message)

Creates a VM exception with the given message.

Parameters:
  `frame` - the frame context
  `message` - the message

#### VMException

    public VMException​(AbstractStackFrame frame,
                       java.lang.String message,
                       java.lang.Throwable cause)

Creates a VM exception with the given message and cause.

Parameters:
  `frame` - the frame context
  `message` - the message
  `cause` - the cause

### Method Detail

#### printStackTrace

    public void printStackTrace​(java.io.PrintStream s)

Overrides:
  `printStackTrace` in class `java.lang.Throwable`
See Also:
  `Throwable.printStackTrace(java.io.PrintStream)`

#### printStackTrace

    public void printStackTrace​(java.io.PrintWriter s)

Overrides:
  `printStackTrace` in class `java.lang.Throwable`
See Also:
  `Throwable.printStackTrace(java.io.PrintWriter)`